Bug 997681 - Invalid Injections are ignored and no warning or error is thrown.
Invalid Injections are ignored and no warning or error is thrown.
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CCMS-Core (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.3
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 22:07 EDT by Lee Newson
Modified: 2013-12-03 17:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 17:16:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2013-08-15 22:07:32 EDT
If someone enters for example: "<!-- Inject: 8743.xml -->" then the injection won't be displayed, however it is something that we could be picking up on and reporting an error for. There obviously are some instances where we wouldn't be able to pick up the error but we should be able to pick up most.
Comment 1 Lee Newson 2013-11-11 01:03:11 EST
Fixed in 1.3-SNAPSHOT build 201311111558

The csprocessor and UI will now check all comment fields for possible invalid injection references. It will check for the following errors:

- Missing Colons
- Incorrect Capitalisation
- Incorrect Injection Types
- Using incorrect ids in the id list
Comment 2 Lee Newson 2013-11-11 02:03:21 EST
This is now live on the test/development server.
Comment 3 Matthew Casperson 2013-11-24 18:07:56 EST
Confirmed the following common injection errors are listed by csprocessor in the Compiler Output and by the UI.

<!-- Inject: 43.xml -->
<!-- Inject 8743 -->
<!-- inject: 33 -->
<!-- Inject 8743 -->

The only suggestion I would have is that characters other than commas in a list of topics are picked up e.g.

<!-- InjectList: 33; 34: 35 -->
Comment 4 Lee Newson 2013-11-24 20:43:18 EST
Fixed in 1.3-SNAPSHOT build 201311251126

I've updated the regex to attempt to include anything that maybe invalid in the topic id list (so missing commas, incorrect separates, etc...).

Note You need to log in before you can comment on or make changes to this bug.